package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.ArticleVO;
import com.chelvc.cloud.vehicle.api.dto.ArticleDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 文章对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface ArticleCopier {

    /**
     * 对象拷贝接口实例
     */
    ArticleCopier INSTANCE = Mappers.getMapper(ArticleCopier.class);

    /**
     * 文章信息拷贝
     *
     * @param article 文章信息
     * @return 文章信息
     */
    ArticleVO copying(ArticleDTO article);
}
