package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.EnquireVO;
import com.chelvc.cloud.vehicle.api.dto.EnquireDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 询价对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface EnquireCopier {

    /**
     * 对象拷贝接口实例
     */
    EnquireCopier INSTANCE = Mappers.getMapper(EnquireCopier.class);

    /**
     * 询价信息拷贝
     *
     * @param enquire 询价信息
     * @return 询价信息
     */
    EnquireVO copying(EnquireDTO enquire);

}
