package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.EnquireReplyVO;
import com.chelvc.cloud.vehicle.api.dto.EnquireReplyDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 询价回复对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface EnquireReplyCopier {

    /**
     * 对象拷贝接口实例
     */
    EnquireReplyCopier INSTANCE = Mappers.getMapper(EnquireReplyCopier.class);

    /**
     * 询价回复信息拷贝
     *
     * @param enquireReply 询价回复信息
     * @return 询价回复信息
     */
    EnquireReplyVO copying(EnquireReplyDTO enquireReply);
}
