package com.chelvc.cloud.maintain.vo;

import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 询价回复信息
 *
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EnquireReplyVO implements Serializable {

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 询价id
     */
    private Long enquireId;

    /**
     * 回复内容
     */
    private String content;

    /**
     * 附件列表
     */
    private List<File> attachments;

    /**
     * 创建时间
     */
    private Date createTime;

}
